<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Infusion general information
$inf_title = "Upload System";
$inf_description = "Upload System";
$inf_version = "1.0";
$inf_developer = "Luben/Kirov";
$inf_email = "webmaster@sharky-web.com";
$inf_weburl = "http://www.sharky-web.com";

$inf_folder = "upload_system"; // The folder in which the infusion resides.
$inf_admin_image = "icon_upload.jpg"; // Leave blank to use the default image.
$inf_admin_panel = "upload_admin.php"; // The admin panel filename if required.

$inf_link_name = "Upload"; // if not required replace $locale['xxx102']; with "";
$inf_link_url = "up.php"; // The filename you wish to link to.
$inf_link_visibility = "101"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 2; // Number of new db tables to create or drop.
$inf_insertdbrows = 13; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

$inf_newtable_[1] = "temp_downloads (
  `download_id` smallint(5) unsigned NOT NULL auto_increment,
  `download_title` varchar(100) NOT NULL default '',
  `download_description` text NOT NULL,
  `download_url` varchar(200) NOT NULL default '',
  `download_cat` smallint(5) unsigned NOT NULL default '0',
  `download_license` varchar(50) NOT NULL default '',
  `download_os` varchar(50) NOT NULL default '',
  `download_version` varchar(20) NOT NULL default '',
  `download_filesize` varchar(20) NOT NULL default '',
  `download_datestamp` int(10) unsigned NOT NULL default '0',
  `download_count` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`download_id`)
) ENGINE=MyISAM;";

$inf_newtable_[2] = "sharky_upload (
  `id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `pon` int(2) NOT NULL default '0',
  `type` varchar(50) NOT NULL default '',
  `name` varchar(50) NOT NULL default '',
  `size` int(25) NOT NULL,
  PRIMARY KEY(`id`)
) ENGINE=MyISAM;";

$inf_insertdbrow_[1] = "sharky_upload VALUES ('','0','application/octet-stream','EXE','1000000')";
$inf_insertdbrow_[2] = "sharky_upload VALUES ('','0','application/vnd.ms-excel','Microsoft Excel','1000000')";
$inf_insertdbrow_[3] = "sharky_upload VALUES ('','0','application/vnd.ms-powerpoint','Microsoft PowerPoint','1000000')";
$inf_insertdbrow_[4] = "sharky_upload VALUES ('','0','application/pdf','PDF','1000000')";
$inf_insertdbrow_[5] = "sharky_upload VALUES ('','0','application/msword','Microsoft Word','1000000')";
$inf_insertdbrow_[6] = "sharky_upload VALUES ('','0','application/x-gzip','GZip','1000000')";
$inf_insertdbrow_[7] = "sharky_upload VALUES ('','0','application/x-shockwave-flash','Macromedia Shockwave','1000000')";
$inf_insertdbrow_[8] = "sharky_upload VALUES ('','0','application/zip','ZIP','1000000')";
$inf_insertdbrow_[9] = "sharky_upload VALUES ('','0','application/x-rar-compressed','RAR','1000000')";
$inf_insertdbrow_[10] = "sharky_upload VALUES ('','0','audio/mpeg','MP3','1000000')";
$inf_insertdbrow_[11] = "sharky_upload VALUES ('','0','audio/x-wav','WAV','1000000')";
$inf_insertdbrow_[12] = "sharky_upload VALUES ('','0','video/mpeg','MPG','1000000')";
$inf_insertdbrow_[13] = "sharky_upload VALUES ('','0','video/x-msvideo','AVI','1000000')";

$inf_droptable_[1] = "sharky_upload";
$inf_droptable_[2] = "temp_downloads";

?>